# https://taskfile.dev

version: "3"

vars:
  GREETING: goarch -- команды сборки

tasks:
  default:
    cmds:
      - clear
      - echo "{{.GREETING}}"
      - task --list
    silent: true
  mod:
    desc: "Обновляет и подтягивает зависимости"
    cmds:
      - clear
      - go get -u ./...
      - go mod tidy -compat=1.26.2
      - go mod vendor
      - go mod verify
      - go fmt ./...
  dev:
    desc: "Запускает сервис для отладки"
    cmds:
      - clear
      - rm -rf ./bin_dev
      - go fmt ./...
      - go build -race -o ./bin_dev/arch_dev ./cmd/arch/main.go
      - cp -ar ./static ./bin_dev
      - cd ./bin_dev && ./arch_dev
    dotenv: ["local.env"]
